Bug 1026110 - RemoteBox 1.6.2.el6 has unsatisfied dependencies
RemoteBox 1.6.2.el6 has unsatisfied dependencies
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: RemoteBox (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 15:12 EST by Tuomo Soini
Modified: 2013-11-24 13:37 EST (History)
2 users (show)

See Also:
Fixed In Version: RemoteBox-1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 13:37:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2013-11-03 15:12:35 EST
package: RemoteBox-1.6-2.el6.noarch from epel-testing
  unresolved deps: 
     perl(vboxserializers.pl)
     perl(rbox_prefs.pl)
     perl(rbox_newguest.pl)
     perl(rbox_main.pl)
     perl(rbox_lists.pl)
     perl(rbox_gui_vmm.pl)
     perl(rbox_gui_init.pl)
     perl(rbox_gui_edit.pl)
     perl(rbox_err.pl)

I guess these are provided by the package itself but not filtered out properly (epel6 uses different filtering than new fedoras).
Comment 1 Christopher Meng 2013-11-03 22:35:25 EST
Yes I know, yesterday when I imported it for the initial I'd realized this problem, I will fix it soon.
Comment 2 Fedora Update System 2013-11-05 05:05:25 EST
RemoteBox-1.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/RemoteBox-1.6-3.el6
Comment 3 Christopher Meng 2013-11-05 05:44:32 EST
Sorry, I forgot to scratch build before update to find if it's really solved or not.

And -3 seems not, so I just build -4, seems working.

Please help test it and leave karma in Bodhi! I appreciate your help!
Comment 4 Fedora Update System 2013-11-05 05:49:59 EST
RemoteBox-1.6-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/RemoteBox-1.6-4.el6
Comment 5 Greg Bailey 2013-11-05 07:50:12 EST
I just installed 1.6-4, and when I attempt to run "RemoteBox", I get:

$ remotebox 
/usr/share/RemoteBox/remotebox.xml: required gtk+ version 2.24, current version is 2.18 at /usr/share/RemoteBox/rbox_gui_init.pl line 8.
Compilation failed in require at /usr/bin/remotebox line 24.
Comment 6 Christopher Meng 2013-11-05 07:54:05 EST
(In reply to Greg Bailey from comment #5)
> I just installed 1.6-4, and when I attempt to run "RemoteBox", I get:
> 
> $ remotebox 
> /usr/share/RemoteBox/remotebox.xml: required gtk+ version 2.24, current
> version is 2.18 at /usr/share/RemoteBox/rbox_gui_init.pl line 8.
> Compilation failed in require at /usr/bin/remotebox line 24.

Then I think I've made a mistake, this package is not OK to be included in EL branch.

Have you contacted upstream about this version requires?
Comment 7 Greg Bailey 2013-11-05 08:08:37 EST
(In reply to Christopher Meng from comment #6)
> 
> Then I think I've made a mistake, this package is not OK to be included in
> EL branch.

Too bad; I'd like to use this package with CentOS 6!

> 
> Have you contacted upstream about this version requires?

No, but looking further, looks like it's spelled out on the documentation page:

http://knobgoblin.org.uk/documentation.cgi

11.  I have a version of GTK2 older than 2.24, can I still use RemoteBox? Old versions of RemoteBox are downloadable from the website but are no longer supported or maintained. See the table below for reference.
RemoteBox Version 	Minimum GTK2 Version
v1.6 and newer 	v2.24
v1.2 - v1.5 	v2.22
v0.1 - v1.1 	v2.16
Comment 8 Christopher Meng 2013-11-05 08:22:34 EST
Older version doesn't support new VB at all, gtk2 is 2.18 in RHEL6, and from 1.2 it's not supported...Hmm...

Do you think that using 1.1 of remotebox is good? This version only supports ~v4.1.x. If you think v4.1 is still useful for most of people, I will use Epoch tag and rebuild again.
Comment 9 Michael Schwendt 2013-11-05 14:35:14 EST
> I will use Epoch tag and rebuild again.

The package that has been released so far could not be installed, so you don't need to set the Epoch if you want to release another "older" package.
Comment 10 Fedora Update System 2013-11-08 06:59:32 EST
RemoteBox-1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/RemoteBox-1.1-1.el6
Comment 11 Christopher Meng 2013-11-08 07:01:52 EST
Hi all!

Thanks for your concern on this package, I've pushed 1.1 version to el6 branch, I left 2 karmas as the cap so please help test it and leave karma there!

Thanks.
Comment 12 Fedora Update System 2013-11-08 12:58:21 EST
RemoteBox-1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2013-11-24 13:37:30 EST
RemoteBox-1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.